# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AutoLoader.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl-podlators
# END SourceDeps(oneline)
%define upstream_name		Geo-Shapelib
%define upstream_version	0.20

Summary:	Perl extension for reading and writing shapefiles as defined by ESRI(r)
Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt5_10
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Tree/R.pm)
BuildRequires:	perl-devel
Source44: import.info


%description
This is a library for reading, creating, and writing shapefiles as
defined by ESRI(r) using Perl. The Perl code uses Frank Warmerdam's
Shapefile C Library (http://shapelib.maptools.org/). The library is
included in this distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
%make

%install
%makeinstall_std

# we don't want this
find %{buildroot} -name "*.a" -exec rm -rf {} \;

%files
%doc Changes README META.yml
%{perl_vendor_archlib}/Geo/Shapelib.pm
%{perl_vendor_archlib}/auto/Geo/Shapelib


%changelog
* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.20-alt5_10
- rebuild to get rid of unmets

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.20-alt4_10
- update by mgaimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.20-alt4_8
- rebuild to get rid of unmets

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.20-alt3_8
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.20-alt3_7
- rebuild to get rid of unmets

* Tue Jun 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.20-alt2_7
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.20-alt2_6
- mga update

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.20-alt2_5
- rebuild with new perl

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_5
- mgaimport update

* Mon Jul 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_3
- converted for ALT Linux by srpmconvert tools

